Skip to content
Last updated
This API is in closed beta

The API functionality is in closed beta phase. Currently, the closed beta is available only for select providers. Make sure to direct any questions during the beta phase to your Booking.com contact person via the appropriate channels.

Checking the status and downloading the payout report

GET https://payments-api.booking.com/connectivity-payments/recon-reports/{request-id}

The Status API allows you to fetch the status of the payout report and download the payout report once it's ready (has status set to READY).

Required connection type

You need to be connected with the reservations connection type to use this API.

For more information on the connection types, see Connections API Overview.

Expiration

Take these expiration times/dates into account:

  • Download link: Valid for 15 minutes. To download a report after this time, you need to request a new link.
  • Report request: Identical report requests are cached for 1 hour. If a report is requested with the same filters within one hour, the same request_id will be returned with the status 200 OK. If the report is READY, the Status API provides the link to download the previous report.

Headers

HeaderDescriptionType
api-versionThe version of the API. If omitted, defaults to 1.0.string

Path parameters

The following table describes what elements you must add as path parameters:

ElementDescriptionTypeRequired/Optional
request-idSpecifies the identifier of the payout report request.stringrequired

Response example

{
  "meta": {
    "ruid": "string"
  },
  "data": {
      "request_id": "UUID-R1234",
      "status": "READY",
      "updated_at": "ISO-8601 timestamp", 
      "download_url_expires_at": "ISO-8601 timestamp",
      "filename": "file.json", 
      "download_url": "string"
  },
  "errors": [
    {
      "description": "string",
      "message": "",
      "status_code": 0,
      "debug_message": "string"
    }
  ],
  "warnings": [
    {
      "message": "string"
    }
  ]
}

Response elements

The following table describes the response elements:

ElementDescriptionType
dataContains the report status details.object
:: request_idIdentifier of the report request for which the status is retrieved.string
:: statusStatus of the request: GENERATING, READY, EMPTY, or ERROR.string
:: updated_atTimestamp of the last status update.string
:: download_url_expires_atTimestamp of when the download link expires.string
:: filenameName of the payout report file.string
:: download_urlURL to download the payout report.string
errorsContains potential errors. These can help you understand what went wrong with your request. For more information, see Response codes.array
warningsContains potential warnings. These can help you improve your requests.array

Example payout reports

Download example payout reports to see the structure and format of the data returned by the API:

Rate limiting

To prevent excessive load on our systems, we limit the number of API calls that a provider can make per minute. For the Status API, the limit is 10 requests per minute.

Response codes

This table lists and describes the response codes that the API can return.

CodeDescription
200 OKReport status and details retrieved successfully.
400 Bad requestInvalid parameters provided.
401 UnauthorizedUser not authenticated.
403 ForbiddenUser not authorized to access this report.
404 Not FoundReport ID not found.
429 Too Many RequestsRate limit exceeded.
500 Internal server errorAn unexpected error occurred.